Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Interface ObjectGraphBuilder.NewInstanceResolver

All Known Implementing Classes:
  ObjectGraphBuilder.DefaultNewInstanceResolver

Enclosing class:
  ObjectGraphBuilder

    public static interface ObjectGraphBuilder.NewInstanceResolver

Strategy for creating new instances of a class.
Useful for plug-in calls to non-default constructors.

Method Summary
`Object` | `newInstance(Class klass, Map attributes)` Create a new instance of Class klass.

Method Detail

### newInstance

    Object newInstance(Class klass,
                       Map attributes)
                       throws InstantiationException,
                              IllegalAccessException

  Create a new instance of Class klass.

  Parameters:
    `klass` - the resolved class name
    `attributes` - the attribute Map available for the node
  Throws:
    `InstantiationException`
    `IllegalAccessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD